Name:		kst
Version:	2.0.6
Release:	%mkrel 5
Summary:	Program for looking at data streams
License:	GPLv2+
Group:		Sciences/Other
Url:		http://kst.kde.org/
Source:		http://downloads.sourceforge.net/kst/%{name}-%{version}.tar.gz
BuildRequires:	qt4-devel
BuildRequires:	cfitsio-devel
BuildRequires:	netcdf-cxx-devel
BuildRequires:	gsl-devel
BuildRequires:	cmake

%description
kst is a program for looking at data streams. It can plot:

 - x-y plots
 - power spectra
 - histograms
 - equations (including equations of data streams). 
 - data in files which are being updated as data is being logged, in
    which case in can act as a plotter for a chart recorder.
 - much more

Kst supports realtime viewing and manipulation of streaming data.

%files
%{_bindir}/*
%{_mandir}/man1/*
%{_libdir}/*.so.*
%{_libdir}/kst2
%{_datadir}/applications/*.desktop
%{_iconsdir}/hicolor/*/apps/*

#--------------------------------------------------------------------

%prep
%setup -q -n %{name}-%{version}/cmake

%build
%cmake -Dkst_install_prefix=%{_prefix} -Dkst_install_libdir=%{_lib} -Dkst_rpath=OFF
%make

%install
%makeinstall_std -C build

rm -f %{buildroot}%{_libdir}/*.so  %{buildroot}%{_libdir}/*.a %{buildroot}%{_datadir}/applnk/*/* %{buildroot}%{_datadir}/mimelink/application/*.desktop


%changelog

* Sat Jan 12 2013 umeabot <umeabot> 2.0.6-5.mga3
+ Revision: 356512
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Wed Oct 17 2012 fwang <fwang> 2.0.6-4.mga3
+ Revision: 307558
- build 3rdparty plugin on

* Wed Oct 17 2012 fwang <fwang> 2.0.6-3.mga3
+ Revision: 307553
- rebuild for new netcdf

* Wed Sep 19 2012 fwang <fwang> 2.0.6-2.mga3
+ Revision: 296195
- build without 3rd party due to it is not recognize latest netcdf
- more patches
- update patch dir
- more header fix
- build with latest netcdf-c++

* Fri Aug 03 2012 fwang <fwang> 2.0.6-1.mga3
+ Revision: 278083
- new verison 2.0.6

* Tue Jul 31 2012 fwang <fwang> 2.0.5-1.mga3
+ Revision: 276454
- new version 2.0.5

* Fri Oct 14 2011 fwang <fwang> 2.0.4-1.mga2
+ Revision: 154716
- update file list
- update file list
- imported package kst

